EGL without X11

cancel
Showing results for 
Search instead for 
Did you mean: 

EGL without X11

1,241 Views
DavidHill
Contributor I


I had found a while back the Freescale document AN4274: High-End 3D Graphics with OpenGL ES 2.0

Which I thought would lead me to rendering in "framebuffer" mode (no X11 server).

I have a modified test app with the magic line from the document,

   eglsurface = eglCreateWindowSurface(egldisplay, eglconfig, open("/dev/fb0", O_RDWR), NULL);

but fail earlier than that, in eglInitialize with the error GL_NOT_INITIALIZED

I am using the setup that comes with the imx53, which seems to work if I have the X server running. Dpkg shows:
  ii  amd-gpu-x11-bin-mx51                   11.09.01                                        GPU driver and app for x11 on mx51
which seems to match the debian package in L2.6.35_11.09.01_ER_images_MX5X.

Any suggestions on what I am missing ?

0 Kudos
6 Replies

215 Views
DavidHill
Contributor I

Thanks Krishna, Daiane,

   I was looking in all the wrong places it would seem. Now have found that I should have been looking in the vm ware BSP package. So now I just need to get the right stuff installed and try it out.

0 Kudos

215 Views
KrishnaPavan
Contributor II

Actually, /opt/freescale/... is the place where the ltib installation script gets the packages installed.

If you do not have freescale @ that place, it should be somewhere else. Its not an issue.

./ltib -c should give you a "menuconfig", showing amd-gpu-mx51 package.

Select that for rendering without X11 libraries.

0 Kudos

215 Views
DavidHill
Contributor I

Interesting...

I don't have an /opt/freescale/pkgs (actually /opt is empty)

Also - L2.6.35_11.09.01_ER_images_MX5X only has amd-gpu-x11-bin-mx51-11.05.01.tar.gz


But I just noticed and downloaded L2.6.35_MX53_201112_Patches.tar.gz (hidden under patches) which does contain:

L2.6.35_MX53_201112_Patches/amd-gpu-x11-bin-mx51-11.09.01_201112.tar.gz

L2.6.35_MX53_201112_Patches/amd-gpu-bin-mx51-11.09.01_201112.tar.gz

so - off to explore these new packages.

0 Kudos

215 Views
daiane_angolini
NXP Employee
NXP Employee

On my /opt/freescale/pkgs I can see:

amd-gpu-x11-bin-mx51-11.05.01.tar.gz

amd-gpu-bin-mx51-11.05.01.tar.gz


You don´t need to donwload it again form any website. It should be on your LTIB instalation folder

0 Kudos

215 Views
DavidHill
Contributor I

Thanks for the reply. If there is another package, it was not obvious on the imx download page. On the other platform I am working with, the same libs work for both X11 and non-x11 use.

0 Kudos

215 Views
daiane_angolini
NXP Employee
NXP Employee

I don´t know if I could understand.

But, amd-gpu-x11-bin-mx51 can only be used for X11 enviroemnt. If you don´t want X11 you need to use another amd-gpu binary. (and I think you can find it the same place you´d got amd-gpu-x11-bin-mx51

0 Kudos